# Function serverInit

- serverInit<PassedUser>(cfg, serverOptions?, addToConfig?): Promise<ServerControlSet>

- #### Type Parameters

  - #### PassedUser extends IDbUser

  #### Parameters

  - ##### cfg: IAppConfig

  - ##### serverOptions: IInitOpts = {}

  - ##### addToConfig: ((configService) => Promise<void>) = null

    - - (configService): Promise<void>

      - #### Parameters

        - ##### configService: AppConfigService

        #### Returns Promise<void>

  #### Returns Promise<ServerControlSet>

  - Defined in src/init.ts:15

Generated using TypeDoc